View Issue Details

IDProjectCategoryView StatusLast Update
0000063Bacula-Webbug-sqlitepublic2013-11-19 15:05
ReporterChCAssigned Todavide 
PrioritynormalSeveritytextReproducibilityalways
Status closedResolutionfixed 
Platformarmv5telOSLinux OS Version2.6.32.12
Product Version 
Target Version5.2.11Fixed in Version5.2.11 
Summary0000063: Jobs list - Elapsed time incorrect for running jobs
DescriptionWhile using SQLite3 a running job will not return '0000-00-00 00:00:00' or NULL, but '0'.
Steps To ReproduceWhen using SQLite3, start a Bacula-job and check its status in the Jobs list.

For me, this showed (checked at 2012-07-09 15:25)
    2012-07-09 13:20:07 0 12:39:53

Additional InformationProposed fix:

1) In jobs.php change line 135
     if( $end == '0000-00-00 00:00:00' or is_null($end))
   to
     if( $end == '0000-00-00 00:00:00' or is_null($end) or $end=='0')

2) In ./core/utils/ctimeutils.class.php change line 29 from
     if( $end_time == '0000-00-00 00:00:00' or is_null($end_time))
   to
     if( $end_time == '0000-00-00 00:00:00' or is_null($end_time) or $end_time == '0')
TagsNo tags attached.

Activities

ChC

2012-07-10 07:11

reporter   ~0000121

Same fix required for the start-time.
Problem with start-time only shows with waiting jobs.

davide

2012-12-02 12:04

manager   ~0000169

Fixed in next version version (Bacula-Web 5.2.11)

davide

2013-01-02 14:14

manager   ~0000176

Did you have a chance to try the latest version ?

Thanks for your feedback.

Davide

ChC

2013-01-02 16:17

reporter   ~0000181

Just installed the newest version (Bacula-Web 5.2.11) and can confirm that this is fixed.

I found a lay-out bug, but I'll open a new report for that.

The update is a big PLUS+, especially the job-logs.

davide

2013-01-03 10:13

manager   ~0000182

Thanks for your feedback.

davide

2013-01-03 10:14

manager   ~0000183

Bug fixed in version 5.2.11 (confirmed by user)

davide

2013-11-19 15:05

manager   ~0000327

Issue closed

Issue History

Date Modified Username Field Change
2012-07-09 15:30 ChC New Issue
2012-07-10 07:11 ChC Note Added: 0000121
2012-08-10 11:21 davide Status new => confirmed
2012-08-10 11:21 davide Target Version => 5.2.11
2012-08-10 11:39 davide Status confirmed => assigned
2012-12-02 12:04 davide Note Added: 0000169
2013-01-02 14:14 davide Note Added: 0000176
2013-01-02 14:14 davide Assigned To => davide
2013-01-02 14:14 davide Status assigned => feedback
2013-01-02 16:17 ChC Note Added: 0000181
2013-01-02 16:17 ChC Status feedback => assigned
2013-01-03 10:13 davide Note Added: 0000182
2013-01-03 10:14 davide Note Added: 0000183
2013-01-03 10:14 davide Status assigned => resolved
2013-01-03 10:14 davide Fixed in Version => 5.2.11
2013-01-03 10:14 davide Resolution open => fixed
2013-11-19 15:05 davide Status resolved => closed
2013-11-19 15:05 davide Note Added: 0000327